function [pth, pflg] = Fpm_DP_path_Dij2(s,t,pp,idx,F,W,c)

%find a path from s->t, 
%by dynamic programming, using Dijkstra' alg like-wise strategy
%try to maximize (increased imporstance score/increased number of node^c)
%iA, indicate if the corrsponding nodethe node is already in the partially built graph
%W: orginal adjacent matrix

%d[v]: (increased imporstance score/increased number of node^c) for the best
%path from s->v
%pre[v]: the node before v (for the best path from s->v)
%num[v]: increased number of node (for the best path from s->v)
%iE[v]: indicate if if node v is already expanded

if nargin<7
    c = 1;
end

if W(s,t)~=0
    pth = [s t];
    pflg = 1;
    return;
end

if F(t)==0|length(idx)>4000%too much candidate or score from s to t is zeros
    pth = -1;
    pflg = 0;
    return;
end

pp = setdiff(pp,[s,t]);
W(pp,:) = 0;
W(:,pp) = 0;


s = find(idx==s);
t = find(idx==t);

W = W(idx,idx);

F = F(idx);

pp = [];

[pth, pflg] = Fpm_DP_path_Dij(s,t,pp,F,W,c);

if pflg>0
    pth = idx(pth)';
end

